> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get FindAll Run Schema

> Get FindAll Run Schema



## OpenAPI

````yaml openapi/zh/parallel.ai.json GET /apis/v1/parallel/findall/runs/{findall_id}/schema
openapi: 3.1.0
info:
  description: ''
  title: Parallel.ai
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/parallel/chat/completions
    - /apis/v1/parallel/extract
    - /apis/v1/parallel/findall/ingest
    - /apis/v1/parallel/findall/runs/{findall_id}
    - /apis/v1/parallel/findall/runs/{findall_id}/cancel
    - /apis/v1/parallel/findall/runs/{findall_id}/events
    - /apis/v1/parallel/findall/runs/{findall_id}/result
    - /apis/v1/parallel/findall/runs/{findall_id}/schema
    - /apis/v1/parallel/monitors/{monitor_id}
    - /apis/v1/parallel/monitors/{monitor_id}/cancel
    - /apis/v1/parallel/monitors/{monitor_id}/events
    - /apis/v1/parallel/monitors/{monitor_id}/update
    - /apis/v1/parallel/tasks/groups
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}/events
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}
    - /apis/v1/parallel/tasks/runs/{run_id}
    - /apis/v1/parallel/tasks/runs/{run_id}/events
    - /apis/v1/parallel/tasks/runs/{run_id}/input
    - /apis/v1/parallel/tasks/runs/{run_id}/result
    - /apis/v1/parallel/v1beta/tasks/runs/{run_id}/events
  x-aisa-document:
    facts_hash: 7d3bf2025708131927d3136de215ba314114253046b35f239876910b2481cbd9
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:dae9e982424f710c06d9af023168dd26ed96bf5e5b5232e0728c01867d2da7dc
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: parallel.ai
  x-aisa-catalogs:
    parallel.ai:
      title: Parallel.ai
      description: ''
      x-aisa-document:
        facts_hash: 7d3bf2025708131927d3136de215ba314114253046b35f239876910b2481cbd9
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/parallel/findall/runs/{findall_id}/schema:
    get:
      tags:
        - default
      summary: Get FindAll Run Schema
      description: Get FindAll Run Schema
      operationId: any_parallel_ai_apis_v1_parallel_findall_runs_fin_fcb322
      parameters:
        - name: parallel-beta
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            deprecated: true
            title: Parallel-Beta
          deprecated: true
        - name: findall_id
          in: path
          required: true
          schema:
            type: string
            title: Findall Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_FindAllSchema'
              example:
                objective: Find all AI companies that raised Series A funding in 2024
                entity_type: companies
                match_conditions:
                  - name: developing_ai_products_check
                    description: >-
                      Company must be developing artificial intelligence (AI)
                      products
                enrichments:
                  - processor: core
                    output_schema:
                      json_schema:
                        type: object
                        properties:
                          ceo_name:
                            type: string
                            description: >-
                              Name of the current CEO of the company. If the CEO
                              is not publicly known, provide the name of the
                              highest-ranking executive or founder. If no
                              information is available, return null.
                      type: json
                generator: core
                match_limit: 50
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseB67C75A8Feba_FindAllSchema:
      properties:
        objective:
          type: string
          title: Objective
          description: Natural language objective of the FindAll run.
          examples:
            - Find all AI companies that raised Series A funding in 2024
        entity_type:
          type: string
          title: Entity Type
          description: Type of the entity for the FindAll run.
        match_conditions:
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_MatchCondition'
          type: array
          title: Match Conditions
          description: List of match conditions for the FindAll run.
        enrichments:
          anyOf:
            - items:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_FindAllEnrichInput'
              type: array
            - type: 'null'
          title: Enrichments
          description: List of enrichment inputs for the FindAll run.
        generator:
          type: string
          enum:
            - base
            - core
            - pro
            - preview
          title: Generator
          description: The generator of the FindAll run.
          default: core
        match_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Match Limit
          description: Max number of candidates to evaluate
      type: object
      required:
        - objective
        - entity_type
        - match_conditions
      title: FindAllSchema
      description: Response model for FindAll ingest.
    ResponseB67C75A8Feba_MatchCondition:
      properties:
        name:
          type: string
          title: Name
          description: Name of the match condition.
        description:
          type: string
          title: Description
          description: >-
            Detailed description of the match condition. Include as much
            specific information as possible to help improve the quality and
            accuracy of Find All run results.
          examples:
            - >-
              Company must have SOC2 Type II certification (not Type I). Look
              for evidence in: trust centers, security/compliance pages, audit
              reports, or press releases specifically mentioning 'SOC2 Type II'.
              If no explicit SOC2 Type II mention is found, consider requirement
              not satisfied.
      type: object
      required:
        - name
        - description
      title: MatchCondition
      description: Match condition model for FindAll ingest.
    ResponseB67C75A8Feba_FindAllEnrichInput:
      properties:
        processor:
          type: string
          title: Processor
          description: Processor to use for the task.
          default: core
        output_schema:
          $ref: '#/components/schemas/ResponseB67C75A8Feba_JsonSchema'
          description: JSON schema for the enrichment output schema for the FindAll run.
        mcp_servers:
          anyOf:
            - items:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_McpServer'
              type: array
            - type: 'null'
          title: Mcp Servers
          description: List of MCP servers to use for the task.
      type: object
      required:
        - output_schema
      title: FindAllEnrichInput
      description: Input model for FindAll enrich.
    ResponseB67C75A8Feba_JsonSchema:
      properties:
        json_schema:
          additionalProperties: true
          type: object
          title: Json Schema
          description: A JSON Schema object. Only a subset of JSON Schema is supported.
          examples:
            - additionalProperties: false
              properties:
                gdp:
                  description: >-
                    GDP in USD for the year, formatted like '$3.1 trillion
                    (2023)'
                  type: string
              required:
                - gdp
              type: object
        type:
          type: string
          const: json
          title: Type
          description: The type of schema being defined. Always `json`.
          default: json
      type: object
      required:
        - json_schema
      title: JsonSchema
      description: JSON schema for a task input or output.
    ResponseB67C75A8Feba_McpServer:
      properties:
        type:
          type: string
          const: url
          title: Type
          description: Type of MCP server being configured. Always `url`.
          default: url
        url:
          type: string
          title: Url
          description: URL of the MCP server.
        headers:
          anyOf:
            - additionalProperties:
                type: string
                format: password
                writeOnly: true
              type: object
            - type: 'null'
          title: Headers
          description: Headers for the MCP server.
        name:
          type: string
          title: Name
          description: Name of the MCP server.
        allowed_tools:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Tools
          description: List of allowed tools for the MCP server.
      type: object
      required:
        - url
        - name
      title: McpServer
      description: MCP server configuration.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.